Subject: Recurrence rule WKST clarification

From: [email-masked]
Date: Fri, 01 Nov 2002 07:28:22 -0500 (EST)

Is WKST the first day of the week as defined by BYWEEKNO or the first day of the work week as defined by WKST? 

BYWEEKNO on page 43 of RFC 2445 states: 
"A week is defined as a seven day period, starting on the day of the week defined to be the week start (see WKST)." 

WKST on page 44 of RFC 2445 states: 
"The WKST rule part specifies the day on which the workweek starts." 

Thanks for your time, 
-David

---

From: [email-masked]
Date: Tue, 5 Nov 2002 11:41:36 -0500

[email-masked] asked on 11/01/2002 07:28:22 AM:
> Is WKST the first day of the week as defined by BYWEEKNO or the 
> first day of the work week as defined by WKST? 

The latter.  From 2445, p. 44: 

   The WKST rule part specifies the day on which the workweek starts.

> "A week is defined as a seven day period, starting on the day of the
> week defined to be the week start (see WKST)." 
> 

WKST defines what day the 7 day week begins on and that in turn helps 
evaluate the BYWEEKNO and other parts of the recurrence rule as decribed 
in the text of Section 4.3.10 Recurrence Rule. 

You can also check your assumptions by using some of the examples that use 
it like on pp 119 - 125.

Bruce
===========================================================================
Bruce Kahn                                INet: 
[email-masked]
Messaging & Collaboration                 Phone: 978.399.6496
IBM Software Group                         FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...